## com.sun.jna.platform.win32
Class LMAccess.GROUP_INFO_0

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.LMAccess.GROUP_INFO_0

Enclosing interface:
  LMAccess

    public static class LMAccess.GROUP_INFO_0

extends com.sun.jna.Structure

The GROUP_INFO_0 structure contains the name of a global group in the security database, which is the security accounts manager (SAM) database or, in the case of domain controllers, the Active Directory.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.WString` `grpi0_name` Pointer to a null-terminated Unicode character string that specifies the name of the global group.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`LMAccess.GROUP_INFO_0()`
`LMAccess.GROUP_INFO_0(com.sun.jna.Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### grpi0_name

    public com.sun.jna.WString grpi0_name

  Pointer to a null-terminated Unicode character string that specifies the name of the global group.

Constructor Detail

### LMAccess.GROUP_INFO_0

    public LMAccess.GROUP_INFO_0()

### LMAccess.GROUP_INFO_0

    public LMAccess.GROUP_INFO_0(com.sun.jna.Pointer memory)